use xcb::render::Color;
use xcb::ffi::render::xcb_render_color_t;

macro_rules! color_const {
    ($name:ident, $r:expr, $g:expr, $b:expr, $a:expr) => {
        pub const $name: Color = Color {
            base: xcb_render_color_t {
                red: $r,
                green: $g,
                blue: $b,
                alpha: $a
            }
        };
    }
}

color_const!(WHITE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF);
color_const!(BLACK, 0x0000, 0x0000, 0x0000, 0xFFFF);
color_const!(GREY, 0x6666, 0x6666, 0x6666, 0xFFFF);
color_const!(LIGHT_GREEN, 0x6666, 0xCCCC, 0x6666, 0xFFFF);
color_const!(RED, 0xCCCC, 0x0000, 0x3333, 0xFFFF);
