use ui::draw_context::DrawContext;
use widgets::Widget;
use xcb::render::Color;

pub struct Spacer {
    context: DrawContext,
    width: u16
}

pub fn spacer(mut context: DrawContext, width: u16, color: Color) -> Box<Widget> {
    context.set_bg_color(color);
    let widget = Spacer {
        context: context,
        width: width
    };
    Box::new(widget)
}

impl Widget for Spacer {
    fn render(&mut self, x: u16, width: u16) {
        self.context.draw_bg(x, width);
    }

    fn width(&mut self) -> u16 {
        self.width
    }
}
